Get list of transactions filter by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"subaccounts": [
{
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"balances": [
{
"assetType": "BTC",
"hold": "1000.00",
"pending": "1000.00",
"posted": "1000.00"
}
]
}
],
"status": "POSTED",
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z",
"transactionType": "WITHDRAWAL"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get list of transactions filter by ID
Permissions required: Subaccount or Read Subaccount
Return the requested transactions, sorted by the creation date, the client has access too
GET
/
subaccounts
/
transactions
/
{transactionsIds}
Get list of transactions filter by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/transactions/{transactionsIds}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"subaccounts": [
{
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"balances": [
{
"assetType": "BTC",
"hold": "1000.00",
"pending": "1000.00",
"posted": "1000.00"
}
]
}
],
"status": "POSTED",
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z",
"transactionType": "WITHDRAWAL"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifiers for the transaction. Invalid transactionIds will be ignored.
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?